<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerDataAnggota extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        check_not_login();
        if ($this->session->userdata('level') != 4) {
            redirect();
        }
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('mycustom');
        $this->load->model('notifikasi_arisan');
        $this->load->model('bagian_arisan/insert_model');
        $this->load->model('bagian_arisan/select_model');
        $this->load->model('bagian_arisan/update_model');
        $this->set_timezone();
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function index()
    {
        // Notifikasi
        $jml_pengajuan        = count($this->notifikasi_arisan->Notifikasi_pengajuan());
        // End_notifikasi 
        $data_login            = $this->userlogin->user_login();
        $data_id_login         = $this->session->userdata('isloggedin');
        // Query SQL Data atau isi data page
        $data_anggota_arisan   = $this->select_model->getDataAnggotaArisanNew();
        $jml_anggota           = count($data_anggota_arisan);
        // echo '<pre>';
        // var_dump($data_anggota_arisan);
        // die;
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'              => 'keloladata/anggota',
            'page'                => 'index',
            'judul'               => 'Data Anggota Arisan || Bagian Arisan',
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            // Isi data konten
            'anggota_arisan'      => $data_anggota_arisan,
            'jml_pengajuan'       => $jml_pengajuan,
            'jml_anggota'         => $jml_anggota
        );
        $this->load->view('arisan/index', $data);
    }
}

/* End of file ControllerDataAnggota.php and path \application\controllers\arisan\keloladata\ControllerDataAnggota.php */